Subject: Re: [BUG] Ethernet broken on rockpro64 by commit 2d26f6e39afb ("net: stmmac: dwmac-rk: fix unbalanced pm_runtime_enable warnings")

From: Punit Agrawal <[email-masked]>
Date: Fri, 08 Oct 2021 12:17:48 +0900

Alexandru Elisei <[email-masked]> writes:

> (Sorry I'm sending this to the wrong person, this is what I got
> scripts/get_maintainer.pl for the file touched by the commit)
>
> After commit 2d26f6e39afb ("net: stmmac: dwmac-rk: fix unbalanced
> pm_runtime_enable warnings"), the network card on my rockpro64-v2 was left unable
> to get a DHCP lease from the network. The offending commit was found by bisecting
> the kernel; I tried reverting the commit from current master (commit 0513e464f900
> ("Merge tag 'perf-tools-fixes-for-v5.15-2021-09-27' of
> git://git.kernel.org/pub/scm/linux/kernel/git/acme/linux")) and the network card
> was working as expected.
>
> It goes without saying that I can help with testing the fix and
> further diagnosing.

A fix was recently merged for this (see aec3f415f724 ("net: stmmac:
dwmac-rk: Fix ethernet on rk3399 based devices") and should show up in
the next rc. Please shout out if that doesn't fix the broken ethernet
for you.

Thanks,
Punit